Debian Bug report logs - #453242
gnustep-base: FTBFS: checking if ffcall trampolines work... no

version graph

Package: gnustep-base; Maintainer for gnustep-base is Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 27 Nov 2007 22:54:01 UTC

Severity: normal

Tags: unreproducible

Found in version 1.14.1-2

Fixed in version 1.14.1-3

Done: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Tue, 27 Nov 2007 23:44:23 +0100
Package: gnustep-base
version: 1.14.1-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071126 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

I'm building in an i386 chroot on amd64. Maybe that's part of the
problem.

Relevant part:

 > checking if ffcall trampolines work... no
 > none
 > 
 > You have ffcall, but it does not work properly. Most likely because
 > your system's security policy is blocking some parts of ffcall
 > we recommend installing libffi instead.
 > GNUstep requires ffcall or libffi and proper libobjc hooks to do
 > invocations and DO.
 > (This does not apply on apple-apple-apple systems where DO is
 > not compatible with other GNUstep systems.)
 > 
 > You most likely do not want to build base without DO support. Many
 > things, including all applications, won't work at all without DO.
 > If you really want to build -base without DO support, add --disable-do
 > to the configure arguments.
 > For more information, read the GNUstep build guide, ffcall section:
 > http://gnustep.made-it.com/BuildGuide/index.html
 > configure: error: Incomplete support for ffi functionality.
 > make: *** [debian/configure-stamp] Error 1
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2007/11/26

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Hubert Chathi <uhoreg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 453242@bugs.debian.org (full text, mbox):

From: Hubert Chathi <uhoreg@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 453242@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Wed, 28 Nov 2007 23:51:29 -0500
Hi Lucas,

On Tue, 27 Nov 2007 23:44:23 +0100, Lucas Nussbaum <lucas@lucas-nussbaum.net> said:

> During a rebuild of all packages in sid, your package failed to build
> on i386.

> I'm building in an i386 chroot on amd64. Maybe that's part of the
> problem.

It compiles fine on my machine, which is a normal ix86 machine.  And it
apparently compiles fine under amd64, too.  (Although ffcall does seem
to have some problems with amd64 -- #451356.)

Is building in an i386 chroot on and amd64 a "normal" configuration that
we are supposed to be supporting?  i.e. if it only fails in that
configuration, should this bug be "serious" or "important"?

/me considers, again, whether to just give up on ffcall, and switch to
libffi...

-- 
Hubert Chathi <uhoreg@debian.org> -- Jabber: hubert@uhoreg.ca
PGP/GnuPG key: 1024D/124B61FA         http://www.uhoreg.ca/
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 453242@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Hubert Chathi <uhoreg@debian.org>
Cc: 453242@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Thu, 29 Nov 2007 12:50:56 +0100
On 28/11/07 at 23:51 -0500, Hubert Chathi wrote:
> Hi Lucas,
> 
> On Tue, 27 Nov 2007 23:44:23 +0100, Lucas Nussbaum <lucas@lucas-nussbaum.net> said:
> 
> > During a rebuild of all packages in sid, your package failed to build
> > on i386.
> 
> > I'm building in an i386 chroot on amd64. Maybe that's part of the
> > problem.
> 
> It compiles fine on my machine, which is a normal ix86 machine.  And it
> apparently compiles fine under amd64, too.  (Although ffcall does seem
> to have some problems with amd64 -- #451356.)
> 
> Is building in an i386 chroot on and amd64 a "normal" configuration that
> we are supposed to be supporting?

I'm not sure. However, the test probably tries to *run* the code, not
just compile it. So it probably won't be possible to use the package in
an i386 chroot on amd64.

> i.e. if it only fails in that configuration, should this bug be
> "serious" or "important"?

I don't know. However, a better question is probably "do we want it fix
or not?". Only 2 or 3 packages currently fail to build in an i386 chroot
on amd64, so it would be great not to add another one. :)

Note that 1.13.0-7 built fine, too.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 453242@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 453242@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Fri, 30 Nov 2007 02:20:56 +0200
On Thu, Nov 29, 2007 at 12:50:56PM +0100, Lucas Nussbaum wrote:
> On 28/11/07 at 23:51 -0500, Hubert Chathi wrote:
> 
> However, the test probably tries to *run* the code, not just compile
> it. 

That's right, it is run via the AC_RUN_IFELSE macro, where the
condition for cross-compiling is set to "have_working_trampoline=yes"
-- but your configuration is not cross-compiling so the test program
is being run.

I don't understand the code, but AFAICS it cannot return success in
that case.  Is there are a reliable way to detect the host cpu in such
an environment?

> > i.e. if it only fails in that configuration, should this bug be
> > "serious" or "important"?

IMHO, Hubert, this is certainly not a release-critical bug.

> However, a better question is probably "do we want it fix or not?".

It is worth fixing if GNUstep upstream (or ffcall upstream) consider
it a bug.  Trampolines are an evil art.  If this environment can be
detected either by gnustep-base's configure or the trampoline test, it
is the way to go.  Failing that, the remaining solutions are just "to
make it build", which is easy -- but not an actual bugfix.

> Note that 1.13.0-7 built fine, too.

Certainly, IIRC upstream indroduced this trampiline configure test in
0.14 precisely because they were receiving many bogus bug reports from
Solaris/HP-UX users.  GNUstep has always heavily relied on ffcall/ffi
so when that's not working the behaviour of the whole framework is
unpredictable, and it's very hard to figure out what's going on. 

So from their (upstream's) point of view, I believe that's a good
change.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Hubert Chathi <uhoreg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 453242@bugs.debian.org (full text, mbox):

From: Hubert Chathi <uhoreg@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 453242@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Tue, 11 Dec 2007 21:10:17 -0500
Hi Lucas,

On Tue, 27 Nov 2007 23:44:23 +0100, Lucas Nussbaum <lucas@lucas-nussbaum.net> said:

> During a rebuild of all packages in sid, your package failed to build
> on i386.

> I'm building in an i386 chroot on amd64. Maybe that's part of the
> problem.

> Relevant part:

>> checking if ffcall trampolines work... no none
>> 
>> You have ffcall, but it does not work properly. Most likely because
>> your system's security policy is blocking some parts of ffcall we
[...]

Do you have any security-related features enabled?  PaX, grsecurity,
SELinux, etc.?  It could be related to GNUstep bug #18968.

http://savannah.gnu.org/bugs/?func=detailitem&item_id=18968

-- 
Hubert Chathi <uhoreg@debian.org> -- Jabber: hubert@uhoreg.ca
PGP/GnuPG key: 1024D/124B61FA         http://www.uhoreg.ca/
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 453242@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Hubert Chathi <uhoreg@debian.org>
Cc: 453242@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Wed, 12 Dec 2007 08:11:25 +0100
On 11/12/07 at 21:10 -0500, Hubert Chathi wrote:
> Hi Lucas,
> 
> On Tue, 27 Nov 2007 23:44:23 +0100, Lucas Nussbaum <lucas@lucas-nussbaum.net> said:
> 
> > During a rebuild of all packages in sid, your package failed to build
> > on i386.
> 
> > I'm building in an i386 chroot on amd64. Maybe that's part of the
> > problem.
> 
> > Relevant part:
> 
> >> checking if ffcall trampolines work... no none
> >> 
> >> You have ffcall, but it does not work properly. Most likely because
> >> your system's security policy is blocking some parts of ffcall we
> [...]
> 
> Do you have any security-related features enabled?  PaX, grsecurity,
> SELinux, etc.?  It could be related to GNUstep bug #18968.
> 
> http://savannah.gnu.org/bugs/?func=detailitem&item_id=18968

No. But Opterons have the nx bit. Maybe that's part of the problem?
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Hubert Chathi <uhoreg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 453242@bugs.debian.org (full text, mbox):

From: Hubert Chathi <uhoreg@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 453242@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Wed, 12 Dec 2007 13:51:33 -0500
On Wed, 12 Dec 2007 08:11:25 +0100, Lucas Nussbaum <lucas@lucas-nussbaum.net> said:

> On 11/12/07 at 21:10 -0500, Hubert Chathi wrote:
>> Do you have any security-related features enabled?  PaX, grsecurity,
>> SELinux, etc.?  It could be related to GNUstep bug #18968.
>> 
>> http://savannah.gnu.org/bugs/?func=detailitem&item_id=18968

> No. But Opterons have the nx bit. Maybe that's part of the problem?

OK, that may explain why there have been reported problems of ffcall on
amd64 (#451356) even though upstream listed amd64 as having been tested
and working.

Thinking about this more, I really don't like the idea of not being able
to run on a system that has PaX, or grsecurity, or SELinux, as the
Debian default.  It seems like we would be discouraging people from
using the extra security features.

It looks like the best thing to do is to default to libffi, but make it
easy for someone to recompile gnustep-base with ffcall if they want.  I
believe that both options with gnustep-base are binary-compatible
(i.e. one would just need to recompile gnustep-base, and not all of the
GNUstep applications).

-- 
Hubert Chathi <uhoreg@debian.org> -- Jabber: hubert@uhoreg.ca
PGP/GnuPG key: 1024D/124B61FA         http://www.uhoreg.ca/
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Hubert Chathi <uhoreg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 453242@bugs.debian.org (full text, mbox):

From: Hubert Chathi <uhoreg@debian.org>
To: 453242@bugs.debian.org, control@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Tue, 18 Dec 2007 23:44:58 -0700
[Message part 1 (text/plain, inline)]
severity 453242 important
thanks

While this bug is rather severe, it evidently hasn't caused problems so
far (I guess not many people have been running GNUstep on Opeterons,
since nobody's reported a bug yet).

The proper fix (for now, until ffcall gets fixed) seems to be to use
libffi instead of ffcall, but I want to do some more testing before I
upload it, since it is a rather large change.  I don't think it's worth
holding back the GNUstep transition for this yet, so I'm downgrading
this bug to non-RC.

-- 
Hubert Chathi <uhoreg@debian.org> -- Jabber: hubert@uhoreg.ca
PGP/GnuPG key: 1024D/124B61FA         http://www.uhoreg.ca/
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA
[Message part 2 (application/pgp-signature, inline)]

Severity set to `important' from `serious' Request was from Hubert Chathi <uhoreg@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2007 06:48:03 GMT) Full text and rfc822 format available.

Reply sent to Hubert Chathi <uhoreg@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 453242-close@bugs.debian.org (full text, mbox):

From: Hubert Chathi <uhoreg@debian.org>
To: 453242-close@bugs.debian.org
Subject: Bug#453242: fixed in gnustep-base 1.14.1-3
Date: Tue, 25 Dec 2007 07:32:03 +0000
Source: gnustep-base
Source-Version: 1.14.1-3

We believe that the bug you reported is fixed in the latest version of
gnustep-base, which is due to be installed in the Debian FTP archive:

gnustep-base-common_1.14.1-3_all.deb
  to pool/main/g/gnustep-base/gnustep-base-common_1.14.1-3_all.deb
gnustep-base-doc_1.14.1-3_all.deb
  to pool/main/g/gnustep-base/gnustep-base-doc_1.14.1-3_all.deb
gnustep-base-examples_1.14.1-3_all.deb
  to pool/main/g/gnustep-base/gnustep-base-examples_1.14.1-3_all.deb
gnustep-base-runtime_1.14.1-3_i386.deb
  to pool/main/g/gnustep-base/gnustep-base-runtime_1.14.1-3_i386.deb
gnustep-base_1.14.1-3.diff.gz
  to pool/main/g/gnustep-base/gnustep-base_1.14.1-3.diff.gz
gnustep-base_1.14.1-3.dsc
  to pool/main/g/gnustep-base/gnustep-base_1.14.1-3.dsc
libgnustep-base-dev_1.14.1-3_i386.deb
  to pool/main/g/gnustep-base/libgnustep-base-dev_1.14.1-3_i386.deb
libgnustep-base1.14_1.14.1-3_i386.deb
  to pool/main/g/gnustep-base/libgnustep-base1.14_1.14.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453242@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hubert Chathi <uhoreg@debian.org> (supplier of updated gnustep-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Tue, 11 Dec 2007 21:21:45 -0500
Source: gnustep-base
Binary: gnustep-base-doc libgnustep-base1.14 gnustep-base-common libgnustep-base-dev gnustep-base-examples gnustep-base-runtime
Architecture: source i386 all
Version: 1.14.1-3
Distribution: experimental
Urgency: low
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Changed-By: Hubert Chathi <uhoreg@debian.org>
Description: 
 gnustep-base-common - GNUstep Base library - common files
 gnustep-base-doc - Documentation for the GNUstep Base Library
 gnustep-base-examples - Examples using the GNUstep Base Library
 gnustep-base-runtime - GNUstep Base library
 libgnustep-base-dev - GNUstep Base header files and development libraries
 libgnustep-base1.14 - GNUstep Base library
Closes: 453242
Changes: 
 gnustep-base (1.14.1-3) experimental; urgency=low
 .
   * debian/control, debian/rules, debian/README.Debian: use libffi for all
     architectures instead of ffcall.  Not being able to run on machines with
     security features enabled doesn't give Hubert a warm fuzzy feeling.
     (closes: #453242)
     (but make it reasonably easy to recompile with ffcall, if wanted)
   * Tools/gdomap.h: patch to use the correct mask for UDP.  (patch by
     Philippe Roussel)
Files: 
 1e18b68ebc7700a45a30e979e54c8da7 1089 devel optional gnustep-base_1.14.1-3.dsc
 bf4af97e580ebd924f1afa26d7f4652d 16568 devel optional gnustep-base_1.14.1-3.diff.gz
 d20a340445bbd3c0a87afe3c25483197 116232 libs optional gnustep-base-common_1.14.1-3_all.deb
 390d1cf2490ba42e285c528af642a97e 66944 devel optional gnustep-base-examples_1.14.1-3_all.deb
 d193a07f15950500bdf6344e30c27b77 73672 doc optional gnustep-base-doc_1.14.1-3_all.deb
 b7dc8f42fb0d66ae4698b265586ff486 185698 libs optional gnustep-base-runtime_1.14.1-3_i386.deb
 58ea24dd31500d7467cae90d980e2bab 924882 libs optional libgnustep-base1.14_1.14.1-3_i386.deb
 88322097cc4518efa0ca142473015557 1713690 libdevel optional libgnustep-base-dev_1.14.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHcKGxrynHGRJLYfoRA/vOAJsFxI8VyIrrmZq85nfBtj4X/Ssb7ACgjh3h
ArpofQO+wQ7qbhBctacdEeY=
=i6u7
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Hubert Chathi <uhoreg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #52 received at 453242@bugs.debian.org (full text, mbox):

From: Hubert Chathi <uhoreg@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 453242@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Thu, 28 Feb 2008 12:10:14 -0500
I may possibly need to reopen this bug in the next upload of
gnustep-base...

On Wed, 12 Dec 2007 08:11:25 +0100, Lucas Nussbaum <lucas@lucas-nussbaum.net> said:

>> Do you have any security-related features enabled?  PaX, grsecurity,
>> SELinux, etc.?  It could be related to GNUstep bug #18968.
>> 
>> http://savannah.gnu.org/bugs/?func=detailitem&item_id=18968

> No. But Opterons have the nx bit. Maybe that's part of the problem?

The test seems to work fine on pergolesi.d.o, which is a Dual Opteron
240, running 32-bit libraries.  So I don't think that's it.

Can you check if there are any obvious differences between your setup
and pergolesi that may be relevant?

Thanks

-- 
Hubert Chathi <uhoreg@debian.org> -- Jabber: hubert@uhoreg.ca
PGP/GnuPG key: 1024D/124B61FA         http://www.uhoreg.ca/
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 453242@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Hubert Chathi <uhoreg@debian.org>
Cc: 453242@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Thu, 6 Mar 2008 18:43:38 +0100
On 28/02/08 at 12:10 -0500, Hubert Chathi wrote:
> I may possibly need to reopen this bug in the next upload of
> gnustep-base...
> 
> On Wed, 12 Dec 2007 08:11:25 +0100, Lucas Nussbaum <lucas@lucas-nussbaum.net> said:
> 
> >> Do you have any security-related features enabled?  PaX, grsecurity,
> >> SELinux, etc.?  It could be related to GNUstep bug #18968.
> >> 
> >> http://savannah.gnu.org/bugs/?func=detailitem&item_id=18968
> 
> > No. But Opterons have the nx bit. Maybe that's part of the problem?
> 
> The test seems to work fine on pergolesi.d.o, which is a Dual Opteron
> 240, running 32-bit libraries.  So I don't think that's it.
> 
> Can you check if there are any obvious differences between your setup
> and pergolesi that may be relevant?

Well, there's nothing obviously different. Maybe someone else could try
to reproduce it, just to provide another data point?
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#453242; Package gnustep-base. Full text and rfc822 format available.

Acknowledgement sent to Hubert Chathi <uhoreg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 453242@bugs.debian.org (full text, mbox):

From: Hubert Chathi <uhoreg@debian.org>
To: 453242@bugs.debian.org, control@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Mon, 17 Mar 2008 13:56:34 -0400
found 453242 1.14.1-5
tags 453242 +unreproducible
severity 453242 normal
thanks

Version 1.14.1-5 re-enables compiling using ffcall, so this bug could
reappear on Lucas' setup.

I'm also downgrading it to normal severity, though, because:
- it hasn't caused any real problems yet.
- even though it may cause compilation failures, it should not cause any
  problems actually running the software, since we are also providing
  the library linked against libffi as an option.
- if the build failure ever becomes a real problem, it should be a
  simple matter of just disabling the failing test for i386.

-- 
Hubert Chathi <uhoreg@debian.org> -- Jabber: hubert@uhoreg.ca
PGP/GnuPG key: 1024D/124B61FA         http://www.uhoreg.ca/
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA




Bug marked as found in version 1.14.1-5 and reopened. Request was from Hubert Chathi <uhoreg@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 18:00:07 GMT) Full text and rfc822 format available.

Tags added: unreproducible Request was from Hubert Chathi <uhoreg@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 18:00:07 GMT) Full text and rfc822 format available.

Severity set to `normal' from `important' Request was from Hubert Chathi <uhoreg@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 18:00:08 GMT) Full text and rfc822 format available.

Reply sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #73 received at 453242-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Hubert Chathi <uhoreg@debian.org>, 453242-done@bugs.debian.org
Subject: Re: Bug#453242: gnustep-base: FTBFS: checking if ffcall trampolines work... no
Date: Mon, 14 Apr 2008 15:46:48 +0200
On 17/03/08 at 13:56 -0400, Hubert Chathi wrote:
> found 453242 1.14.1-5
> tags 453242 +unreproducible
> severity 453242 normal
> thanks
> 
> Version 1.14.1-5 re-enables compiling using ffcall, so this bug could
> reappear on Lucas' setup.

Erm, I can build gnustep-base fine now (on an Opteron, FTR). So I'm
closing this bug. Strange issue...
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug no longer marked as found in version 1.14.1-5. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Wed, 20 Aug 2008 14:36:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Sep 2008 07:30:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:44:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.